|  Accueil
Aide

Hébergement Linux (cPanel) Aide

Boop beep bop… calcul… calcul… initialisation séquence 42…
Encore une blague de ces sacrés robots ! Ils ont pris le relais et traduit cette page dans votre langue. Les robots n’ont que de bonnes intentions dans leur cœur de métal. Ils veulent vous aider ! Indiquez-nous le niveau de performance des robots à l’aide des boutons placés au bas de cette page. Aller à la version en anglais

Modifier l’extension de fichier gestionnaires/langues (Linux)

Votre Hébergement Web Linux permet de compte vous traitez des fichiers dans différentes langues. Les extensions de fichier déterminent le comportement de valeur par défaut de votre compte. Par exemple, votre compte traite les fichiers se terminant par .html en tant que HTML statique et par défaut de votre compte version de PHP traite les fichiers se terminant par .php.

Avec les gestionnaires d’Apache, vous pouvez mettre à jour votre .htaccess fichier pour modifier le comportement des extensions de fichier de votre compte par défaut, ou vous pouvez ajouter des extensions de fichier personnalisé.

Consultez le tableau suivant pour le comportement par défaut de langages dynamiques.

Extension Gestionnaire Version
.php x-httpd-php Version PHP par défaut
.php5 x-httpd-php5-3 PHP 5.3
.pl, .rb,
.py, .cgi
script CGI Langue fixes
.fcgi, .fpy,
.fpl
fcgid-script Langue fixes


Avertissement : Modifier le comportement par défaut des extensions de fichier de votre compte d’hébergement peut provoquer des résultats inattendus, éventuellement la désactivation de logiciel installé. Cette fonctionnalité avancée vise uniquement pour les utilisateurs expérimentés.

Certaines extensions exigent préparation scripting spécifique (par exemple, des scripts pour une utilisation par CGI ou FastCGI), qui est bien au-delà de la portée de cet article.

Modification des Extensions de fichier par défaut

Vous pouvez modifier le comportement des extensions de fichier par défaut de votre compte en mettant à jour votre .htaccess fichier avec un gestionnaire.

Par exemple, si votre version PHP s’ouvre l’extension de fichier .php, et que vous souhaitez modifier à PHP 5.3, ajoutez le code suivant à votre compte d’hébergement .htaccess fichier :

AddHandler x-httpd-php5-3 .php

De même, si vous souhaitez que FastCGI traiter tous les fichiers avec l’extension .pl, ajoutez le code suivant à votre compte d’hébergement .htacess fichier :

AddHandler fcgid-script .pl


Création d’Extensions de fichier personnalisé

Vous pouvez également créer des extensions de fichier personnalisé en mettant à jour de votre compte d’hébergement .htaccess fichier avec un gestionnaire.

Par exemple, si vous ajoutez le code suivant dans votre .htaccess fichier, PHP 5.3 peut traiter l’extension personnalisée .mysite:

Options +ExecCGI
AddHandler x-httpd-php5-3 .mysite

La désactivation de FastCGI

Vous pouvez désactiver FastCGI à l’aide de cette méthode en incluant les éléments suivants dans votre .htaccess fichier :

Options +ExecCGI
addhandler x-httpd-php5-cgi .php

Vous ne pouvez pas désactiver FastCGI avec notre (de comptes d’hébergement partagé cPanelen savoir plus) ou des comptes Web/classique à l’aide de PHP (5.3 ou version ultérieure) versionsen savoir plus).

Cliquez sur ce lien Pour plus d’informations sur les gestionnaires d’Apache.


Cet article était-il utile ?
Nous vous remercions de votre feed-back. Pour parler avec un représentant de notre service clientèle, veuillez utiliser le numéro de téléphone du support technique ou l’option de chat présentée ci-dessus.
Nous sommes ravis de vous avoir aidé ! Y a-t-il autre chose que nous pouvons faire pour vous ?
Nous sommes désolés de ce problème. Dites-nous ce qui n’était pas clair ou pourquoi la solution n’a pas résolu votre problème.